MetadataType (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.io.sstable.metadata

## Enum MetadataType

- java.lang.Object
- - java.lang.Enum<MetadataType>
  - - org.apache.cassandra.io.sstable.metadata.MetadataType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<MetadataType>

      public enum MetadataType
      extends java.lang.Enum<MetadataType>

  Defines Metadata component type.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `COMPACTION` Metadata only used at compaction
    `STATS` Metadata always keep in memory
    `VALIDATION` Metadata only used for SSTable validation

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `IMetadataComponentSerializer<MetadataComponent>` | `serializer`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static MetadataType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static MetadataType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### VALIDATION

          public static final MetadataType VALIDATION

      Metadata only used for SSTable validation

    - #### COMPACTION

          public static final MetadataType COMPACTION

      Metadata only used at compaction

    - #### STATS

          public static final MetadataType STATS

      Metadata always keep in memory

  - ### Field Detail

    - #### serializer

          public final IMetadataComponentSerializer<MetadataComponent> serializer

  - ### Method Detail

    - #### values

          public static MetadataType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MetadataType c : MetadataType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MetadataType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © 2018 The Apache Software Foundation